SSS_CACHE(8)

NAME
sss_cache - utför cacherensning

SYNOPSIS

sss_cache [flaggor]

BESKRIVNING

sss_cache invaliderar poster i SSSD-cachen. Invaliderade poster måste hämtas om från servern så fort den tillhörande SSSD-bakänden är ansluten. Flaggor som invaliderar ett enstaka objekt tar bara ett ensamt argument.

FLAGGOR

-E,--everything
    Invalidera alla cachade poster.

-u,--user inloggning
    Invalidera en viss användare.

-U,--users
    Invalidera alla användarposter. Detta alternativ åsidosätter invalidering av en viss användare om det också angavs.

-g,--group grupp
    Invalidera en viss grupp.

-G,--groups
    Invalidera alla grupposter. Detta alternativ åsidosätter invalidering av en viss grupp om det också angavs.

-n,--netgroup nätgrupp
    Invalidera en viss nätgrupp.

-N,--netgroups
    Invalidera alla nätgruppsposter. Detta alternativ åsidosätter invalidering av en viss nätgrupp om det också angavs.

-s,--service tjänst
    Invalidera en viss tjänst.

-S,--services
    Invalidera alla tjänsteposter. Detta alternativ åsidosätter invalidering av en viss tjänst om det också angavs.

-a,--autofs-map autofs-översättning
    Invalidera specifika autofs-översättningar.

-A,--autofs-maps
    Invalidera alla autofs-översättningar. Detta alternativ åsidosätter invalidering av en viss översättning om det också angavs.

-h,--ssh-host värdnamn
    Invalidera publika SSH-nycklar för en viss värd.

-H,--ssh-hosts
    Invalidera publika SSH-nycklar för alla värdar. Detta alternativ åsidosätter invalidering av SSH-nycklar för en viss värd om det också angavs.

-r,--sudo-rule regel
    Invalidera en viss sudo-regel.

-R,--sudo-rules
    Invalidera alla cachade sudo-regler. Detta alternativ åsidosätter invalidering av en viss sudo-regel om det också angavs.

-d,--domain domän
    Begränsa invalideringsprocessen till endast en viss domän.

-?,--help
    Visa ett hjälpmeddelande och avsluta.

EFFEKTER PÅ DEN SNABBA MINNESCACHEN

sss_cache invaliderar även minnescachen. Eftersom minnescachen är en fil som avbildas in i minnet för varje process som anropar SSSD för att slå upp användare eller grupper kan filen inte huggas av. En speciell flagga sätts i huvudet på filen för att indikera att innehållet är ogiltigt och sedan tas länken bort av SSSD:s NSS-respondent och en ny cache-fil skapas. När än en process nu gör en ny uppslagning av en användare eller en grupp kommer den att se flaggan, stänga den gamla minnescachfilen och avbilda in den ny in i sitt minne. När alla processer som har öppnat den gamla minnescachefilen har stängt den under uppslagning av en användare eller grupp kan kärnan släppa det använda diskutrymmet och den gamla minnescachefilen är slutligen helt borttagen.

Ett särskilt fall är långlivade processer som gör användar- eller gruppuppslagningar endast vid uppstart, t.ex. för att avgöra namnet på användaren processen kör som. För dessa uppslagningar är minnescachfilen avbildad in i processens minne. Men eftersom det inte kommer vara några ytterligare uppslagningar skulle dessa processer aldrig upptäcka om minnescachefilen invalideras och därmed kommer den hållas kvar i minnet och kommer den att använda diskutrymme tills processen slutar. Som ett resultat kan att anropa sss_cache öka diskanvändningen eftersom gamla minnescachefiler inte kan tas bort från disken eftersom de fortfarande är avbildade av långlivade processer.

Ett möjligt sätt att gå runt problemet för långlivade processer som slår upp användare och grupper endast vid uppstart eller väldigt sällan är att köra dem med miljövariabeln SSS_NSS_USE_MEMCACHE satt till ”NO” så att de inte kommer använda minnescachen alls och inte avbilda minnescachefilen in i minnet. I allmänhet är en bättre lösning att trimma parametrarna för cachens tidsgräns så att de stämmer med lokala förväntningar och det inte är nödvändigt att anropa sss_cache.

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/